noinst_PROGRAMS = Convert.class Thread.class Time.class Vm.class VmShell.class

Convert_class_SOURCES = Convert.java
Thread_class_SOURCES = Thread.java
Time_class_SOURCES = Time.java
Vm_class_SOURCES = Vm.java
VmShell_class_SOURCES = VmShell.java

Convert.class: Convert.java Thread.java Time.java Vm.java VmShell.java
	CLASSPATH=@CLASSPATH@ @JAVAC@ $(srcdir)/*.java
	touch ../../changed.txt

sysdir=${prefix}/classes/waba/sys
install-exec-am:
	$(mkinstalldirs) $(DESTDIR)$(sysdir)
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	    if test -f $$p; then \
	        $(INSTALL_DATA) $$p $(DESTDIR)$(sysdir)/$$p; \
	    else :; fi; \
	done
